Bug 35257

Summary: Only admin start page uses "circulation desks"
Product: Koha Reporter: Katrin Fischer <katrin.fischer>
Component: System AdministrationAssignee: David Nind <david>
Status: Pushed to main --- QA Contact: Testopia <testopia>
Severity: trivial    
Priority: P5 - low CC: david, gmcharlt, pedro.amorim
Version: MainKeywords: Academy, Sandbox
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
This changes the Koha administration page title for "Circulation desks" to "Desks" for consistency - all other areas such as the sidebar, page titles, and breadcrumbs all use just "Desks". It also updates the UseCirculationDesks system preference description.
Version(s) released in:
24.11.00
Attachments: Bug 35257: Change 'Circulation desks' to 'Desks'
Bug 35257: Change 'Circulation desks' to 'Desks'
Bug 35257: Change 'Circulation desks' to 'Desks'

Description Katrin Fischer 2023-11-04 17:48:29 UTC
In the sidebar and on the desk admin page, we only use "Desks". The administration start page seems to be the only place that uses the term "circulation desk".
Comment 1 David Nind 2024-06-08 06:47:43 UTC
Created attachment 167594 [details] [review]
Bug 35257: Change 'Circulation desks' to 'Desks'

The administration page is the only page that uses "Circulation desks" for
navigation elements. All other areas (sidebar menu, breadcrumbs,
adding and editing desks, page titles) all use just "Desks".

This updates the Koha administration page to use "desks" for consistency. It
also updates the UseCirculationDesks system preference description.

Test plan:
1. Enable the UseCirculationDesks system preference.
2. Go to Koha administration > Patrons and circulation
3. Select the Circulation desks option.
4. Note that the sidebar menu, breadcrumbs, and page titles all
   use just "Desks".
5. Note that in the top-right hand menu bar that it says "NO DESK SET". If
   you click the dropdown menu it says "Set library and desk".
6. Apply the patch.
7. Go to Koha administartion > Patrons and circulation.
8. Note that the heading now says just "Desks".
9. Note that the description for the UseCirculationDesks system
   preference is now "Don't use/Use circulation desks".
10. Sign off D:

Signed-off-by: David Nind <david@davidnind.com>
Comment 2 Pedro Amorim 2024-06-12 12:40:29 UTC
Created attachment 167654 [details] [review]
Bug 35257: Change 'Circulation desks' to 'Desks'

The administration page is the only page that uses "Circulation desks" for
navigation elements. All other areas (sidebar menu, breadcrumbs,
adding and editing desks, page titles) all use just "Desks".

This updates the Koha administration page to use "desks" for consistency. It
also updates the UseCirculationDesks system preference description.

Test plan:
1. Enable the UseCirculationDesks system preference.
2. Go to Koha administration > Patrons and circulation
3. Select the Circulation desks option.
4. Note that the sidebar menu, breadcrumbs, and page titles all
   use just "Desks".
5. Note that in the top-right hand menu bar that it says "NO DESK SET". If
   you click the dropdown menu it says "Set library and desk".
6. Apply the patch.
7. Go to Koha administartion > Patrons and circulation.
8. Note that the heading now says just "Desks".
9. Note that the description for the UseCirculationDesks system
   preference is now "Don't use/Use circulation desks".
10. Sign off D:

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 3 Pedro Amorim 2024-06-12 12:41:14 UTC
$ git grep "circulation desk"

Shows a few more occurrences of this. Don't know if intentional or not, just fyi.
Comment 4 David Nind 2024-06-15 06:33:47 UTC
(In reply to Pedro Amorim from comment #3)
> $ git grep "circulation desk"
> 
> Shows a few more occurrences of this. Don't know if intentional or not, just
> fyi.

I did notice that. However, I just concentrated on the navigation insistencies.

Happy to look at other occurrences if you have any suggestions.

The bigger question I guess is are there desks other than just for circulation, and how this feature is expected to be used. But I don't work in a library, so I'm not really sure what is accepted practice (if there is any...).

If it is made more generic, as just desks, then I think it should be changed elsewhere where appropriate, and circulation desks used as an example.
Comment 5 Nick Clemens (kidclamp) 2024-06-25 17:27:26 UTC
Created attachment 168089 [details] [review]
Bug 35257: Change 'Circulation desks' to 'Desks'

The administration page is the only page that uses "Circulation desks" for
navigation elements. All other areas (sidebar menu, breadcrumbs,
adding and editing desks, page titles) all use just "Desks".

This updates the Koha administration page to use "desks" for consistency. It
also updates the UseCirculationDesks system preference description.

Test plan:
1. Enable the UseCirculationDesks system preference.
2. Go to Koha administration > Patrons and circulation
3. Select the Circulation desks option.
4. Note that the sidebar menu, breadcrumbs, and page titles all
   use just "Desks".
5. Note that in the top-right hand menu bar that it says "NO DESK SET". If
   you click the dropdown menu it says "Set library and desk".
6. Apply the patch.
7. Go to Koha administartion > Patrons and circulation.
8. Note that the heading now says just "Desks".
9. Note that the description for the UseCirculationDesks system
   preference is now "Don't use/Use circulation desks".
10. Sign off D:

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Katrin Fischer 2024-06-27 09:52:28 UTC
Pushed for 24.11!

Well done everyone, thank you!